# Tcl perspectives

The Tcl development tools contribute the following perspectives to the workbench:

## Tcl

A perspective designed for working with Tcl projects. It consists of an editor area and the following views:

- Script Explorer
- Outline
- Tcl Packages
- Problems
- Tasks
- Console

## Debug

A perspective designed for debugging your Tcl program. It includes an editor area and the following views.

- Debug
- Breakpoints
- Variables
- Outline
- Console
- Tasks

Tcl views